<?xml version="1.0" encoding="UTF-8"?>
<!--
  有关如何配置 ASP.NET 应用程序的详细信息，请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <appSettings>
    <!--<add key="ERP_ConnectionString" value="server=192.168.137.1;database=MacroinfBasicDB_JF;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000"/>-->
    <!--<add key="ConnectionString" value="server=.;database=MW-MES20180331;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
	  <!--<add key="ConnectionString" value="server=.;database=ERPTOOL_HPP;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
    <!--<add key="ConnectionString" value="server=.,1333;database=MESBasicDB_HL;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
    <add key="ConnectionString" value="server=LAPTOP-ELBDN3OJ\SQLEXPRESS;database=WC_WP12T_13L;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <!--<add key="ConnectionString" value="server=.\MSSQLSERVER2012;database=MES_ManagerTest;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
    <!--<add key="ConnectionString" value="server=120.26.210.14\SQL2012,1433;database=SL;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
    <add key="ConnectionString01" value="server=119.45.113.185\DB01;database=EMS;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString02" value="server=119.45.113.185\DB02;database=DB02;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString03" value="server=119.45.113.185\DB03;database=DB03;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString04" value="server=119.45.113.185\DB04;database=DB04;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString05" value="server=119.45.113.185\DB05;database=DB05;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString06" value="server=119.45.113.185\DB06;database=DB06;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString07" value="server=119.45.113.185\DB07;database=DB07;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString08" value="server=119.45.113.185\DB08;database=DB08;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString09" value="server=119.45.113.185\DB09;database=DB09;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionString10" value="server=119.45.113.185\DB10;database=DB10;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <!--<add key="ConnectionString" value="server=123.56.95.229;database=ERPTOOL_GJ;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
	  <!--<add key="ConnectionString" value="server=192.168.1.171;database=海洋;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
	  <!--<add key="ConnectionString" value="server=.;database=ERPTOOL_GJ;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />-->
    <add key="SN" value="WEBa1a524c0" />
    <add key="MESWORKSN" value="C:\meswork.sn" />


    <add key="connectionStringL2" value="max pool size=512;server=192.168.1.212;database=AMSReport_L2;uid=sa;pwd=ea211"/>
    
    <add key="TempPath" value="Temp"/>
    <add key="TimeOut" value="600"/>
    <!--生产线名:一线 or 二线 -->
    <!--<add key="LineName" value="一线"/>-->
    <add key="LineName" value="二线"/>

    <add key="OpNumber1" value="39,40,41,54,55,135,225,258,382,60,84"/>
    <add key="DataLen1" value="46"/>
    <!--<add key="OpNumber1" value="39,40,41,54,55,135,225,382,60,84"/>
    <add key="DataLen1" value="43"/>-->
    <!--不含op258-->

    <add key="OpNumber2" value="72,73,74,96,97,147,273,480,664,432"/>
    <add key="DataLen2" value="45"/>
    <add key="IsBakup" value="0" />
    <add key="IsBakup01" value="0" />
    <add key="IsBakup02" value="0" />
    <add key="IsBakup03" value="0" />
    <add key="IsBakup04" value="0" />
    <add key="IsBakup05" value="0" />
    <add key="IsBakup06" value="0" />
    <add key="IsBakup07" value="0" />
    <add key="IsBakup08" value="0" />
    <add key="IsBakup09" value="0" />
    <add key="IsBakup10" value="0" />
    <add key="ConnectionStringBakup" value="server=.\BAK00;database=BAK00;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup01" value="server=.\BAK01;database=BAK01;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup02" value="server=.\BAK02;database=BAK02;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup03" value="server=.\BAK03;database=BAK03;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup04" value="server=.\BAK04;database=BAK04;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup05" value="server=.\BAK05;database=BAK05;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup06" value="server=.\BAK06;database=BAK06;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup07" value="server=.\BAK07;database=BAK07;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup08" value="server=.\BAK08;database=BAK08;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup09" value="server=.\BAK09;database=BAK09;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />
    <add key="ConnectionStringBakup10" value="server=.\BAK10;database=BAK10;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000" />

    <add key="GPRSDataHost" value="61.51.183.90" />
    <add key="GPRSDataPort" value="41101" />
    <add key="TracingTraceFile" value="~/TracingTraceFile.txt" />
    <add key="reportTempDir" value="C:\报表程序\excel模版" />
    <add key="reportDir" value="C:\报表程序\excel输出" />
    <add key="reportTempFileName" value="导入数据标准模块.xls" />
    <add key="CollectorreportTempFileName" value="更换采集器导入模板 .xls" />
    <add key="ChartImageHandler" value="storage=file;timeout=20;dir=F:\TempImageFiles\;" />
    <add key="FilePath_exl" value="E:\研发规划\00MES平台\MES_Manage(20170318)\MES_Manage" />
    <add key="vs:EnableBrowserLink" value="false" />
  </appSettings>
  <!--<connectionStrings>
    <appSettings>
      -->
  <!--<add key="ERP_ConnectionString" value="server=GYF;database=ERPTOOL;uid=sa;pwd=sa;Connection Reset=FALSE;Max Pool Size = 1000"/>-->
  <!--
      -->
  <!--<add key="ERP_ConnectionString" value="server=LIJIALIN;database=ERPTOOL_HPP;uid=sa;pwd=sa;Connection Reset=FALSE;Max Pool Size = 1000"/>-->
  <!--
      -->
  <!--<add key="ERP_ConnectionString" value="server=work1;database=ERPTOOL20110111;uid=sa;pwd=sa;Connection Reset=FALSE;Max Pool Size = 1000"/>-->
  <!--
      <add key="ERP_ConnectionString" value="server=PUHUI;database=HeatManageSystem;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000"/>
      -->
  <!--<add key="ERP_ConnectionString" value="server=GX;database=ERPTOOL20130117;uid=sa;pwd=126.com;Connection Reset=FALSE;Max Pool Size = 1000"/>-->
  <!--
      -->
  <!--  -->
  <!--
      -->
  <!-- 报表模版文件路径 -->
  <!--
      <add key="reportTempDir" value="C:\报表程序\excel模版"/>
      -->
  <!-- 报表文件输出路径 -->
  <!--
      <add key="reportDir" value="C:\报表程序\excel输出"/>
      -->
  <!-- 报表模版文件 -->
  <!--
      <add key="reportTempFileName" value="报表模版.XLS"/>
    </appSettings>
    <add name="ApplicationServices" connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|\aspnetdb.mdf;User Instance=true" providerName="System.Data.SqlClient"/>
    </connectionStrings>-->
  <system.web>
    <httpRuntime executionTimeout="90" maxRequestLength="40960" useFullyQualifiedRedirectUrl="false" minFreeThreads="8" minLocalRequestFreeThreads="4" appRequestQueueLimit="100" />
    <httpHandlers>
      <add path="ChartImg.axd" verb="GET,HEAD,POST" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
    </httpHandlers>
    <pages>
      <controls>
        <add tagPrefix="asp" namespace="System.Web.UI.DataVisualization.Charting" assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      </controls>
    </pages>
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <add assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
      </assemblies>
    </compilation>
    <authentication mode="Forms">
      <forms loginUrl="~/Account/Login.aspx" timeout="2880" />
    </authentication>
    <membership>
      <providers>
        <clear />
        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="ApplicationServices" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="/" />
      </providers>
    </membership>
    <profile>
      <providers>
        <clear />
        <add name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider" connectionStringName="ApplicationServices" applicationName="/" />
      </providers>
    </profile>
    <roleManager enabled="false">
      <providers>
        <clear />
        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="ApplicationServices" applicationName="/" />
        <add name="AspNetWindowsTokenRoleProvider" type="System.Web.Security.WindowsTokenRoleProvider" applicationName="/" />
      </providers>
    </roleManager>
  </system.web>
  <system.webServer>
	  <httpProtocol>
		  <customHeaders>
			  <add name="Access-Control-Allow-Origin" value="*" />
			  <add name="Access-Control-Allow-Headers" value="Content-Type" />
			  <add name="Access-Control-Allow-Methods" value="GET, POST, PUT, DELETE, OPTIONS" />
		  </customHeaders>
	  </httpProtocol>
    <modules runAllManagedModulesForAllRequests="true" />
    <handlers>
      <remove name="ChartImageHandler" />
      <add name="ChartImageHandler" preCondition="integratedMode" verb="GET,HEAD,POST" path="ChartImg.axd" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </handlers>
    <defaultDocument>
      <files>
        <add value="login.htm" />
      </files>
    </defaultDocument>
    <validation validateIntegratedModeConfiguration="false" />
        <directoryBrowse enabled="true" />
  </system.webServer>
</configuration>